repmgr service pause

# repmgr service pause

Instruct all &repmgrd; instances in the replication cluster to pause failover operations

## Description

This command can be run on any active node in the replication cluster to instruct all running &repmgrd; instances to "pause" themselves, i.e. take no action (such as promoting themselves or following a new primary) if a failover event is detected.

This functionality is useful for performing maintenance operations, such as switchovers or upgrades, which might otherwise trigger a failover if &repmgrd; is running normally.

It's important to wait a few seconds after restarting PostgreSQL on any node before running `repmgr service pause`, as the &repmgrd; instance on the restarted node will take a second or two before it has updated its status.

will instruct all previously paused &repmgrd; instances to resume normal failover operation.

## Prerequisites

PostgreSQL must be accessible on all nodes (using the `conninfo` string shown by `repmgr cluster show`) from the node where `repmgr service pause` is executed.

## Execution

`repmgr service pause` can be executed on any active node in the replication cluster. A valid `repmgr.conf` file is required. It will have no effect on previously paused nodes.

## Example

    $ repmgr -f /etc/repmgr.conf service pause
    NOTICE: node 1 (node1) paused
    NOTICE: node 2 (node2) paused
    NOTICE: node 3 (node3) paused

## Options

`--dry-run`

  Check if nodes are reachable but don't pause &repmgrd;.

## Exit codes

One of the following exit codes will be emitted by `repmgr service unpause`:

`SUCCESS (0)`

  &repmgrd; could be paused on all nodes.

`ERR_REPMGRD_PAUSE (26)`

  &repmgrd; could not be paused on one or mode nodes.

## See also

, , , ,